﻿using Syncfusion.DataSource;
using Syncfusion.DataSource.Extensions;
using Syncfusion.ListView.XForms;
using Syncfusion.ListView.XForms.Helpers;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.ListView.XForms.Control.Helpers;
using Xamarin.Forms;

namespace SfListViewSample
{
    public partial class GroupingPage : ContentPage
    {
        ContactsViewModel ViewModel;

        #region Constructor

        public GroupingPage()
        {
            InitializeComponent();
            ViewModel = new ContactsViewModel(listView);
            this.BindingContext = ViewModel;
        }


        #endregion Constructor

        private void AddItem_Clicked(object sender, EventArgs e)
        {
            var contact = new Contacts();
            contact.ContactName = "John Jonas";
            contact.ContactNumber = "123-3345";
            contact.ContactImage = ImageSource.FromResource("SfListViewSample.Images.Image0.png");
            ViewModel.ContactItems.Add(contact);

            var lastIndex = listView.DataSource.DisplayItems.IndexOf(contact);
            listView.LayoutManager.ScrollToRowIndex(lastIndex,true);
        }
    }
}